<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imcaminfo</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imbreakunset.html">&lt;&lt; imbreakunset</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imdistline.html">imdistline &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a> &gt; imcaminfo</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imcaminfo</h1>
    <p class="refpurpose">Show the supported raw resolution for an USB camera (linux only)</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">out</span><span class="default"> = </span><span class="functionid">imcaminfo</span><span class="default">(</span><span class="default">dev</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">dev :</span>
      <dd><p class="para">USB bus number and device number for the connected device in string</p></dd></dt>
   <dt><span class="term">out :</span>
      <dd><p class="para">Strings containing the list of supported resolution for the camera</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">The function show the supported raw resolution for an USB camera connected to the given device and bus numbers(linux only)</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">out</span> <span class="scilaboperator">=</span> <span class="scilabid">imcaminfo</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">001:005</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imlsusb.html" class="link">imlsusb</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imbreakunset.html">&lt;&lt; imbreakunset</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imdistline.html">imdistline &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
